Loading...
Searching...
No Matches
Ogre::RenderSystem::Listener Class Referenceabstract

Defines a listener on the custom events that this render system can raise. More...

`#include <OgreRenderSystem.h>`

Inheritance diagram for Ogre::RenderSystem::Listener:
[legend]

## Public Member Functions

| Listener ()
virtual | ~Listener ()
virtual void | eventOccurred (const String &eventName, const NameValuePairList *parameters=0)=0
| A rendersystem-specific event occurred.

## Detailed Description

Defines a listener on the custom events that this render system can raise.

See also
  RenderSystem::addListener

## Constructor & Destructor Documentation

## Listener()

Ogre::RenderSystem::Listener::Listener | ( |  | ) |

inline

## ~Listener()

virtual Ogre::RenderSystem::Listener::~Listener | ( |  | ) |

inline virtual

## Member Function Documentation

## eventOccurred()

virtual void Ogre::RenderSystem::Listener::eventOccurred | ( | const String & | eventName,
|  | const NameValuePairList * | parameters = 0 )

pure virtual

A rendersystem-specific event occurred.

Parameters

  eventName | The name of the event which has occurred
  parameters | A list of parameters that may belong to this event, may be null if there are no parameters

Implemented in Ogre::OverlaySystem.

The documentation for this class was generated from the following file:

- OgreRenderSystem.h